package com.ruoyi.ibs.grid.service;

import com.fasterxml.jackson.databind.JsonNode;
import com.ruoyi.ibs.grid.domain.dto.BaiduResponseDTO;

public interface BaiduApiService {

    BaiduResponseDTO geocoding(String address);

    JsonNode geocodingByJSON(String address);

    JsonNode reverseGeocoding(String location);

    JsonNode placeSearch(String region,String address);
}
